diff -x '*.po' -d -urpN libreport.1/src/gui-wizard-gtk/wizard.c libreport.2/src/gui-wizard-gtk/wizard.c
--- libreport.1/src/gui-wizard-gtk/wizard.c	2012-03-30 15:58:19.031942167 +0200
+++ libreport.2/src/gui-wizard-gtk/wizard.c	2012-04-04 11:40:31.000000000 +0200
@@ -41,9 +41,10 @@ typedef struct event_gui_data_t
 static GtkAssistant *g_assistant;
 
 static char *g_analyze_event_selected;
-static unsigned g_collect_events_selected_count = 0;
-static char *g_reporter_events_selected;
+////static unsigned g_collect_events_selected_count = 0;
+////static char *g_reporter_events_selected;
 static unsigned g_black_event_count = 0;
+static bool g_last_event_was_analyzer;
 
 static pid_t g_event_child_pid = 0;
 
@@ -53,20 +54,20 @@ static GList *g_list_analyzers;
 static GtkLabel *g_lbl_analyze_log;
 static GtkTextView *g_tv_analyze_log;
 static GtkProgressBar *g_pb_analyze;
-static GtkButton *g_btn_cancel_analyze;
+////static GtkButton *g_btn_cancel_analyze;
 
-static GtkBox *g_box_collectors;
+////static GtkBox *g_box_collectors;
 /* List of event_gui_data's */
-static GList *g_list_collectors;
-static GtkLabel *g_lbl_collect_log;
-static GtkTextView *g_tv_collect_log;
+////static GList *g_list_collectors;
+////static GtkLabel *g_lbl_collect_log;
+////static GtkTextView *g_tv_collect_log;
 
-static GtkBox *g_box_reporters;
+////static GtkBox *g_box_reporters;
 /* List of event_gui_data's */
-static GList *g_list_reporters;
+////static GList *g_list_reporters;
 static GList *g_list_selected_reporters;
 static GtkLabel *g_lbl_report_log;
-static GtkTextView *g_tv_report_log;
+////static GtkTextView *g_tv_report_log;
 static GtkProgressBar *g_pb_report;
 static GtkButton *g_btn_cancel_report;
 
@@ -91,7 +92,7 @@ static GtkCellRenderer *g_tv_details_ren
 static GtkTreeViewColumn *g_tv_details_col_checkbox;
 //static GtkCellRenderer *g_tv_details_renderer_checkbox;
 static GtkListStore *g_ls_details;
-static GtkWidget *g_top_most_window;
+////static GtkWidget *g_top_most_window;
 
 static GtkLabel *g_active_lbl;
 static GtkProgressBar *g_active_pb;
@@ -145,26 +146,18 @@ static gint pb_pulse_speed = 150;
 
 
 /* THE PAGE FLOW
- * page_0:  introduction/summary
- * page_1:  user comments
- * page_2:  analyze action selection
- * page_3:  analyze progress
- * page_4:  file collect selection
- * page_5:  collect progress
- * page_6:  reporter selection
- * page_7:  backtrace editor
- * page_8:  summary
- * page_9:  reporting progress
- * page_10: finished
+ * page_0: introduction/summary
+ * page_1: user comments
+ * page_2: event selection
+ * page_3: backtrace editor
+ * page_4: summary
+ * page_5: reporting progress
+ * page_6: finished
  */
 enum {
     PAGENO_SUMMARY,
     PAGENO_EDIT_COMMENT,
     PAGENO_ANALYZE_SELECTOR,
-    PAGENO_ANALYZE_PROGRESS,
-    PAGENO_COLLECT_SELECTOR,
-    PAGENO_COLLECT_PROGRESS,
-    PAGENO_REPORTER_SELECTOR,
     PAGENO_EDIT_BACKTRACE,
     PAGENO_REVIEW_DATA,
     PAGENO_REPORT_PROGRESS,
@@ -179,26 +172,18 @@ enum {
  */
 static const gchar PAGE_SUMMARY[]            = "page_0";
 static const gchar PAGE_EDIT_COMMENT[]       = "page_1";
-static const gchar PAGE_ANALYZE_SELECTOR[]   = "page_2";
-static const gchar PAGE_ANALYZE_PROGRESS[]   = "page_3";
-static const gchar PAGE_COLLECT_SELECTOR[]   = "page_4";
-static const gchar PAGE_COLLECT_PROGRESS[]   = "page_5";
-static const gchar PAGE_REPORTER_SELECTOR[]  = "page_6_report";
-static const gchar PAGE_EDIT_BACKTRACE[]     = "page_7_report";
-static const gchar PAGE_REVIEW_DATA[]        = "page_8_report";
-static const gchar PAGE_REPORT_PROGRESS[]    = "page_9_report";
-static const gchar PAGE_REPORT_DONE[]        = "page_10_report";
-static const gchar PAGE_NOT_SHOWN[]          = "page_11_report";
+static const gchar PAGE_ANALYZE_SELECTOR[]   = "page_2_report";
+static const gchar PAGE_EDIT_BACKTRACE[]     = "page_3";
+static const gchar PAGE_REVIEW_DATA[]        = "page_4_report";
+static const gchar PAGE_REPORT_PROGRESS[]    = "page_5_report";
+static const gchar PAGE_REPORT_DONE[]        = "page_6_report";
+static const gchar PAGE_NOT_SHOWN[]          = "page_7_report";
 
 static const gchar *const page_names[] =
 {
     PAGE_SUMMARY,
     PAGE_EDIT_COMMENT,
     PAGE_ANALYZE_SELECTOR,
-    PAGE_ANALYZE_PROGRESS,
-    PAGE_COLLECT_SELECTOR,
-    PAGE_COLLECT_PROGRESS,
-    PAGE_REPORTER_SELECTOR,
     PAGE_EDIT_BACKTRACE,
     PAGE_REVIEW_DATA,
     PAGE_REPORT_PROGRESS,
@@ -247,22 +232,19 @@ static void init_pages()
     init_page(&pages[0], PAGE_SUMMARY            , _("Problem description")   , GTK_ASSISTANT_PAGE_CONTENT );
     init_page(&pages[1], PAGE_EDIT_COMMENT,_("Provide additional information"), GTK_ASSISTANT_PAGE_CONTENT );
     init_page(&pages[2], PAGE_ANALYZE_SELECTOR   , _("Select analyzer")       , GTK_ASSISTANT_PAGE_CONFIRM );
-    init_page(&pages[3], PAGE_ANALYZE_PROGRESS   , _("Analyzing")             , GTK_ASSISTANT_PAGE_INTRO   );
-    init_page(&pages[4], PAGE_COLLECT_SELECTOR   , _("Select collector")      , GTK_ASSISTANT_PAGE_CONFIRM );
-    init_page(&pages[5], PAGE_COLLECT_PROGRESS   , _("Collecting")            , GTK_ASSISTANT_PAGE_INTRO   );
     /* Some reporters don't need backtrace, we can skip bt page for them.
      * Therefore we want to know reporters _before_ we go to bt page
      */
-    init_page(&pages[6], PAGE_REPORTER_SELECTOR  , _("Select reporter")       , GTK_ASSISTANT_PAGE_CONTENT );
-    init_page(&pages[7], PAGE_EDIT_BACKTRACE     , _("Review the data")  , GTK_ASSISTANT_PAGE_CONTENT );
-    init_page(&pages[8], PAGE_REVIEW_DATA        , _("Confirm data to report"), GTK_ASSISTANT_PAGE_CONFIRM );
+////    init_page(&pages[6], PAGE_REPORTER_SELECTOR  , _("Select reporter")       , GTK_ASSISTANT_PAGE_CONTENT );
+    init_page(&pages[3], PAGE_EDIT_BACKTRACE     , _("Review the data")  , GTK_ASSISTANT_PAGE_CONTENT );
+    init_page(&pages[4], PAGE_REVIEW_DATA        , _("Confirm data to report"), GTK_ASSISTANT_PAGE_CONFIRM );
     /* Was GTK_ASSISTANT_PAGE_PROGRESS, but we want to allow returning to it */
-    init_page(&pages[9], PAGE_REPORT_PROGRESS    , _("Reporting")             , GTK_ASSISTANT_PAGE_INTRO   );
-    init_page(&pages[10], PAGE_REPORT_DONE        , _("Reporting done")        , GTK_ASSISTANT_PAGE_CONTENT );
+    init_page(&pages[5], PAGE_REPORT_PROGRESS    , _("Reporting")             , GTK_ASSISTANT_PAGE_INTRO   );
+    init_page(&pages[6], PAGE_REPORT_DONE        , _("Reporting done")        , GTK_ASSISTANT_PAGE_CONTENT );
     /* We prevent user from reaching this page, as SUMMARY can't be navigated away
      * (must be always closed) and we don't want that
      */
-    init_page(&pages[11], PAGE_NOT_SHOWN          , ""                      , GTK_ASSISTANT_PAGE_SUMMARY );
+    init_page(&pages[7], PAGE_NOT_SHOWN          , ""                         , GTK_ASSISTANT_PAGE_SUMMARY );
 }
 
 static void wrap_fixer(GtkWidget *widget, gpointer data_unused)
@@ -309,6 +291,7 @@ static void save_dialog_response(GtkDial
     *(gint*)user_data = response_id;
 }
 
+#if 0
 static void on_configure_event_cb(GtkWidget *button, gpointer user_data)
 {
     char *event_name = (char *)user_data;
@@ -364,6 +347,7 @@ static void show_event_opt_error_dialog(
     if (g_top_most_window)
         gtk_widget_destroy(wrong_settings);
 }
+#endif
 
 static void update_window_title(void)
 {
@@ -760,115 +744,49 @@ static void analyze_rb_was_toggled(GtkBu
     }
 }
 
-static void report_tb_was_toggled(GtkButton *button, gpointer user_data)
+/* event_name contains "EVENT1\nEVENT2\nEVENT3\n".
+ * Add new {radio/check}buttons to GtkBox for each EVENTn (type depends on bool radio).
+ * Remember them in GList **p_event_list (list of event_gui_data_t's).
+ * Set "toggled" callback on each button to given GCallback if it's not NULL.
+ * Return active button (or NULL if none created).
+ */
+/* helper */
+static char *missing_items_in_comma_list(const char *input_item_list)
 {
-    char *event_name = (char *)user_data;
-    struct strbuf *reporters_strbuf = strbuf_new();
-    struct strbuf *reporters_event_strbuf = strbuf_new();
-    char * reporters_string;
-
-    /* if ((button && user_data)
-     * prevents sigsegv which would happen when call from
-     * line 990: ((void (*)(GtkButton*, gpointer*))func)(NULL, NULL);
-     */
-
-    if ((button && user_data)
-        && gtk_toggle_button_get_active(GTK_TOGGLE_BUTTON(button)) == TRUE)
-    {
-        if (g_list_find_custom(g_list_selected_reporters, event_name, (GCompareFunc)g_strcmp0) == NULL)
-            g_list_selected_reporters = g_list_prepend(g_list_selected_reporters, xstrdup(event_name));
+    if (!input_item_list)
+        return NULL;
 
-        /* check only if it wasn't toggeld by update_event_checkboxes
-           i.e: when user clicks "regenerate backtrace"
-        */
-        if(gtk_widget_has_focus(GTK_WIDGET(button)))
-        {
-            GHashTable *errors = validate_event(event_name);
-            if (errors != NULL)
-            {
-                g_hash_table_unref(errors);
-                show_event_opt_error_dialog(event_name);
-            }
-        }
+    char *item_list = xstrdup(input_item_list);
+    char *result = item_list;
+    char *dst = item_list;
 
-    }
-    else
+    while (item_list[0])
     {
-        GList *l = g_list_find_custom(g_list_selected_reporters, event_name, (GCompareFunc)g_strcmp0);
-        if (l)
+        char *end = strchr(item_list, ',');
+        if (end) *end = '\0';
+        if (!get_problem_data_item_or_NULL(g_cd, item_list))
         {
-            char *data = l->data;
-            g_list_selected_reporters = g_list_remove(g_list_selected_reporters, data);
-            free(data);
+            if (dst != result)
+                *dst += ',';
+            dst = stpcpy(dst, item_list);
         }
+        if (!end)
+            break;
+        *end = ',';
+        item_list = end + 1;
     }
-
-    gtk_assistant_set_page_complete(g_assistant,
-                pages[PAGENO_REPORTER_SELECTOR].page_widget,
-                g_list_selected_reporters != NULL /* true if at least one checkbox is active */
-    );
-
-    /* Update "list of reporters" label */
-    free(g_reporter_events_selected);
-    GList *li = g_list_selected_reporters;
-    while (li != NULL)
-    {
-        event_config_t *cfg = get_event_config(li->data);
-        strbuf_append_strf(reporters_event_strbuf,
-                            "%s%s",
-                            (reporters_event_strbuf->len != 0 ? ", " : ""),
-                            (li->data ? li->data : "")
-                            );
-
-        strbuf_append_strf(reporters_strbuf,
-                            "%s%s",
-                            (reporters_strbuf->len != 0 ? ", " : ""),
-                            (cfg->screen_name ? cfg->screen_name : li->data)
-                            );
-        li = g_list_next(li);
-    }
-    g_reporter_events_selected = strbuf_free_nobuf(reporters_event_strbuf);
-    reporters_string = strbuf_free_nobuf(reporters_strbuf);
-    gtk_label_set_text(g_lbl_reporters, reporters_string);
-    free(reporters_string); //we can, gtk copies the string
-}
-
-static void collect_tb_was_toggled(GtkButton *button_unused, gpointer user_data_unused)
-{
-    /* Update the number of selected collectors. */
-    g_collect_events_selected_count = 0;
-
-    GList *li = g_list_collectors;
-    for (; li; li = li->next)
+    if (result == dst)
     {
-        event_gui_data_t *event_gui_data = li->data;
-        if (gtk_toggle_button_get_active(event_gui_data->toggle_button) == TRUE)
-        {
-            g_collect_events_selected_count++;
-
-            GHashTable *errors = validate_event(event_gui_data->event_name);
-            if (errors != NULL)
-            {
-                g_hash_table_unref(errors);
-                show_event_opt_error_dialog(event_gui_data->event_name);
-            }
-        }
+        free(result);
+        result = NULL;
     }
-
-    /* The page is complete even if no checkbox is checked. */
+    return result;
 }
-
-/* event_name contains "EVENT1\nEVENT2\nEVENT3\n".
- * Add new {radio/check}buttons to GtkBox for each EVENTn (type depends on bool radio).
- * Remember them in GList **p_event_list (list of event_gui_data_t's).
- * Set "toggled" callback on each button to given GCallback if it's not NULL.
- * Return active button (or NULL if none created).
- */
 static event_gui_data_t *add_event_buttons(GtkBox *box,
                 GList **p_event_list,
                 char *event_name,
-                GCallback func,
-                bool radio)
+                char *event_name1,
+                GCallback func)
 {
     //VERB2 log("removing all buttons from box %p", box);
     gtk_container_foreach(GTK_CONTAINER(box), &remove_child_widget, NULL);
@@ -876,13 +794,48 @@ static event_gui_data_t *add_event_butto
     g_list_free(*p_event_list);
     *p_event_list = NULL;
 
-    if (radio)
-        g_black_event_count = 0;
+    g_black_event_count = 0;
+
+    if (event_name && event_name[0])
+    {
+//        GtkWidget *lbl = gtk_label_new(_("Select how you would like to analyze the problem:"));
+//        gtk_misc_set_alignment(GTK_MISC(lbl), /*x*/ 0.0, /*y*/ 0.5);
+//        //doesn't work right: make_label_autowrap_on_resize(GTK_LABEL(lbl));
+//        gtk_box_pack_start(box, lbl, /*expand*/ true, /*fill*/ false, /*padding*/ 0);
+    }
+    else if (!event_name1 || !event_name1[0])
+    {
+        GtkWidget *lbl = gtk_label_new(_("No reporting targets are defined for this problem. Check configuration in /etc/libreport/*"));
+        gtk_misc_set_alignment(GTK_MISC(lbl), /*x*/ 0.0, /*y*/ 0.0);
+        make_label_autowrap_on_resize(GTK_LABEL(lbl));
+        gtk_box_pack_start(box, lbl, /*expand*/ true, /*fill*/ false, /*padding*/ 0);
+        gtk_assistant_set_page_complete(g_assistant,
+                    pages[PAGENO_ANALYZE_SELECTOR].page_widget,
+                    false
+        );
+        return NULL;
+    }
+    gtk_assistant_set_page_complete(g_assistant,
+                pages[PAGENO_ANALYZE_SELECTOR].page_widget,
+                true
+    );
 
     event_gui_data_t *first_button = NULL;
     event_gui_data_t *active_button = NULL;
-    while (event_name[0])
+    while (1)
     {
+        if (!event_name || !event_name[0])
+        {
+            if (!event_name1 || !event_name1[0])
+                break;
+            event_name = event_name1;
+            event_name1 = NULL;
+//            GtkWidget *lbl = gtk_label_new(_("Select how you would like to report the problem:"));
+//            gtk_misc_set_alignment(GTK_MISC(lbl), /*x*/ 0.0, /*y*/ 0.5);
+//            //doesn't work right: make_label_autowrap_on_resize(GTK_LABEL(lbl));
+//            gtk_box_pack_start(box, lbl, /*expand*/ true, /*fill*/ false, /*padding*/ 0);
+        }
+
         char *event_name_end = strchr(event_name, '\n');
         *event_name_end = '\0';
 
@@ -898,6 +851,7 @@ static event_gui_data_t *add_event_butto
 
         const char *event_description = NULL;
         char *tmp_description = NULL;
+        bool red_choice = false;
         bool green_choice = false;
         if (cfg)
         {
@@ -905,16 +859,31 @@ static event_gui_data_t *add_event_butto
             if (cfg->screen_name)
                 event_screen_name = cfg->screen_name;
             event_description = cfg->description;
+
+            char *missing = missing_items_in_comma_list(cfg->ec_requires_items);
+            if (missing)
+            {
+                red_choice = true;
+                event_description = tmp_description = xasprintf(_("(requires: %s)"), missing);
+                free(missing);
+            }
+            else
             if (cfg->ec_creates_items)
             {
                 if (get_problem_data_item_or_NULL(g_cd, cfg->ec_creates_items))
                 {
-                    green_choice = true;
-                    event_description = tmp_description = xasprintf(_("(not needed, '%s' already exists)"), cfg->ec_creates_items);
+                    char *missing = missing_items_in_comma_list(cfg->ec_creates_items);
+                    if (missing)
+                        free(missing);
+                    else
+                    {
+                        green_choice = true;
+                        event_description = tmp_description = xasprintf(_("(not needed, data already exist: %s)"), cfg->ec_creates_items);
+                    }
                 }
             }
         }
-        if (radio && !green_choice)
+        if (!green_choice && !red_choice)
             g_black_event_count++;
 
         //VERB2 log("adding button '%s' to box %p", event_name, box);
@@ -925,25 +894,24 @@ static event_gui_data_t *add_event_butto
         );
         free(tmp_description);
 
-        GtkWidget *button = radio
-                ? gtk_radio_button_new_with_label_from_widget(
+        GtkWidget *button = gtk_radio_button_new_with_label_from_widget(
                         (first_button ? GTK_RADIO_BUTTON(first_button->toggle_button) : NULL),
                         event_label
-                  )
-                : gtk_check_button_new_with_label(event_label);
+                );
         free(event_label);
 
-        if (green_choice)
+        if (green_choice || red_choice)
         {
-            //static const GdkColor red = { .red = 0xffff };
-            //gtk_widget_modify_text(button, GTK_STATE_NORMAL, &red);
             GtkWidget *child = gtk_bin_get_child(GTK_BIN(button));
             if (child)
             {
+                static const GdkColor red = { .red = 0xffff };
                 static const GdkColor green = { .green = 0x7fff };
-                gtk_widget_modify_fg(child, GTK_STATE_NORMAL, &green);
-                gtk_widget_modify_fg(child, GTK_STATE_ACTIVE, &green);
-                gtk_widget_modify_fg(child, GTK_STATE_PRELIGHT, &green);
+                const GdkColor *color = (green_choice ? &green : &red);
+                //gtk_widget_modify_text(button, GTK_STATE_NORMAL, color);
+                gtk_widget_modify_fg(child, GTK_STATE_NORMAL, color);
+                gtk_widget_modify_fg(child, GTK_STATE_ACTIVE, color);
+                gtk_widget_modify_fg(child, GTK_STATE_PRELIGHT, color);
             }
         }
 
@@ -961,7 +929,7 @@ static event_gui_data_t *add_event_butto
         if (!first_button)
             first_button = event_gui_data;
 
-        if (radio && !green_choice && !active_button)
+        if (!green_choice && !red_choice && !active_button)
         {
             gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(button), true);
             active_button = event_gui_data;
@@ -973,32 +941,6 @@ static event_gui_data_t *add_event_butto
         gtk_box_pack_start(box, button, /*expand*/ false, /*fill*/ false, /*padding*/ 0);
     }
 
-    if (radio)
-    {
-        const char *msg_proceed_to_reporting = _("Go to next step");
-        GtkWidget *button = radio
-            ? gtk_radio_button_new_with_label_from_widget(
-                    (first_button ? GTK_RADIO_BUTTON(first_button->toggle_button) : NULL),
-                    msg_proceed_to_reporting
-              )
-            : gtk_check_button_new_with_label(msg_proceed_to_reporting);
-        if (func)
-            g_signal_connect(G_OBJECT(button), "toggled", func, NULL);
-
-        event_gui_data_t *event_gui_data = new_event_gui_data_t();
-        event_gui_data->event_name = xstrdup("");
-        event_gui_data->toggle_button = GTK_TOGGLE_BUTTON(button);
-        *p_event_list = g_list_append(*p_event_list, event_gui_data);
-
-        if (!active_button)
-        {
-            gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(button), true);
-            active_button = event_gui_data;
-        }
-
-        gtk_box_pack_start(box, button, /*expand*/ false, /*fill*/ false, /*padding*/ 0);
-    }
-
     return active_button;
 }
 
@@ -1116,8 +1058,8 @@ static void append_item_to_ls_details(gp
 /* Based on selected reporter, update item checkboxes */
 static void update_ls_details_checkboxes()
 {
-    event_config_t *cfg = get_event_config(g_reporter_events_selected ? g_reporter_events_selected : "");
-    //log("%s: event:'%s', cfg:'%p'", __func__, g_reporter_events_selected, cfg);
+    event_config_t *cfg = get_event_config(g_analyze_event_selected);
+    //log("%s: event:'%s', cfg:'%p'", __func__, g_analyze_event_selected, cfg);
     GHashTableIter iter;
     char *name;
     struct problem_item *item;
@@ -1188,60 +1130,6 @@ static void update_ls_details_checkboxes
     }
 }
 
-/* Update collector/reporter checkboxes according to events parameter.
- * Checkboxes are created in box specified by the second argument and their
- * data stored in events_gui_data list. Parameter func is the callback function
- * passed to the checkboxes.
- */
-static void update_event_checkboxes(GList **events_gui_data,
-                GtkBox *box,
-                char *events,
-                GCallback func)
-{
-
-    /* Remember names of selected events */
-    GList *old_events = NULL;
-    GList *li = *events_gui_data;
-    for (; li; li = li->next)
-    {
-        event_gui_data_t *event_gui_data = li->data;
-        if (gtk_toggle_button_get_active(event_gui_data->toggle_button) == TRUE)
-        {
-            /* order isn't important. prepend is faster */
-            old_events = g_list_prepend(old_events, xstrdup(event_gui_data->event_name));
-        }
-    }
-
-
-
-    /* Delete old checkboxes and create new ones */
-    add_event_buttons(box, events_gui_data,
-                events, /*callback:*/ func,
-                /*radio:*/ false
-    );
-
-    /* Re-select new events which were selected before we deleted them */
-    GList *li_new = *events_gui_data;
-    for (; li_new; li_new = li_new->next)
-    {
-        event_gui_data_t *new_gui_data = li_new->data;
-        GList *li_old = old_events;
-        for (; li_old; li_old = li_old->next)
-        {
-            if (strcmp(new_gui_data->event_name, li_old->data) == 0)
-            {
-                gtk_toggle_button_set_active(new_gui_data->toggle_button, true);
-                break;
-            }
-        }
-    }
-    list_free_with_free(old_events);
-
-    /* Update readiness state of event selector page
-     * and eventually the "list of reporters" label */
-    ((void (*)(GtkButton*, gpointer*))func)(NULL, NULL);
-}
-
 void update_gui_state_from_problem_data(void)
 {
     update_window_title();
@@ -1269,10 +1157,14 @@ void update_gui_state_from_problem_data(
     load_text_to_text_view(g_tv_comment, FILENAME_COMMENT);
 
     /* Update analyze radio buttons */
-    event_gui_data_t *active_button = add_event_buttons(g_box_analyzers, &g_list_analyzers,
-                g_analyze_events, G_CALLBACK(analyze_rb_was_toggled),
-                /*radio:*/ true
+    event_gui_data_t *active_button = add_event_buttons(
+                g_box_analyzers,
+                &g_list_analyzers,
+                g_report_only ? NULL : g_analyze_events,
+                g_report_events,
+                G_CALLBACK(analyze_rb_was_toggled)
     );
+
     /* Update the value of currently selected analyzer */
     free(g_analyze_event_selected);
     g_analyze_event_selected = NULL;
@@ -1282,14 +1174,6 @@ void update_gui_state_from_problem_data(
     }
     VERB2 log("g_analyze_event_selected='%s'", g_analyze_event_selected);
 
-    /* Update reporter checkboxes */
-    update_event_checkboxes(&g_list_reporters, g_box_reporters, g_report_events,
-                    G_CALLBACK(report_tb_was_toggled));
-
-    /* Update collector checkboxes in a similar way */
-    update_event_checkboxes(&g_list_collectors, g_box_collectors, g_collect_events,
-                    G_CALLBACK(collect_tb_was_toggled));
-
     /* We can't just do gtk_widget_show_all once in main:
      * We created new widgets (buttons). Need to make them visible.
      */
@@ -1308,7 +1192,6 @@ struct analyze_event_data
 {
     struct run_event_state *run_state;
     const char *event_name;
-    GList *more_events;
     GList *env_list;
     GtkWidget *page_widget;
     GtkLabel *status_label;
@@ -1714,54 +1597,35 @@ static gboolean consume_cmd_output(GIOCh
     ) {
         VERB1 log("done running event on '%s': %d", g_dump_dir_name, retval);
         append_to_textview(evd->tv_log, "\n");
-        for (;;)
-        {
-            if (!evd->more_events)
-            {
-                if (retval)
-                    gtk_label_set_text(evd->status_label, evd->error_msg);
-                else
-                    gtk_label_set_text(evd->status_label, evd->success_msg);
-
-                /* free child output buffer */
-                strbuf_free(cmd_output);
-                cmd_output = NULL;
 
-                /* hide progress bar */
-                pb_pulse = false;
+        if (retval)
+            gtk_label_set_text(evd->status_label, evd->error_msg);
+        else
+            gtk_label_set_text(evd->status_label, evd->success_msg);
 
-                /* Enable (un-gray out) navigation buttons */
-                gtk_widget_set_sensitive(GTK_WIDGET(g_box_assist_nav), true);
+        /* free child output buffer */
+        strbuf_free(cmd_output);
+        cmd_output = NULL;
 
-                /*g_source_remove(evd->event_source_id);*/
-                close(evd->fd);
-                free_run_event_state(evd->run_state);
-                strbuf_free(evd->event_log);
-                free(evd);
+        /* hide progress bar */
+        pb_pulse = false;
 
-                reload_problem_data_from_dump_dir();
-                update_gui_state_from_problem_data();
+        /* Enable (un-gray out) navigation buttons */
+        gtk_widget_set_sensitive(GTK_WIDGET(g_box_assist_nav), true);
 
-                /* Inform abrt-gui that it is a good idea to rescan the directory */
-                kill(getppid(), SIGCHLD);
+        /*g_source_remove(evd->event_source_id);*/
+        close(evd->fd);
+        free_run_event_state(evd->run_state);
+        strbuf_free(evd->event_log);
+        free(evd);
 
-                return FALSE; /* "please remove this event" */
-            }
+        reload_problem_data_from_dump_dir();
+        update_gui_state_from_problem_data();
 
-            evd->event_name = evd->more_events->data;
-            evd->more_events = g_list_remove(evd->more_events, evd->more_events->data);
+        /* Inform abrt-gui that it is a good idea to rescan the directory */
+        kill(getppid(), SIGCHLD);
 
-            if (prepare_commands(evd->run_state, g_dump_dir_name, evd->event_name) != 0
-             && spawn_next_command_in_evd(evd) >= 0
-            ) {
-                VERB1 log("running event '%s' on '%s'", evd->event_name, g_dump_dir_name);
-                char *msg = xasprintf("--- Running %s ---\n", evd->event_name);
-                append_to_textview(evd->tv_log, msg);
-                free(msg);
-                break;
-            }
-            /* No commands needed?! (This is untypical) */
-        }
+        return FALSE; /* "please remove this event" */
     }
 
     /* New command was started. Continue waiting for input */
@@ -1790,7 +1654,6 @@ static gboolean pb_pulse_timeout(gpointe
 }
 
 static void start_event_run(const char *event_name,
-                GList *more_events,
                 GtkWidget *page,
                 GtkTextView *tv_log,
                 GtkLabel *status_label,
@@ -1798,6 +1661,8 @@ static void start_event_run(const char *
                 const char *error_msg,
                 const char *success_msg
 ) {
+    g_last_event_was_analyzer = (event_name[0] == 'a');
+
     /* Start event asynchronously on the dump dir
      * (synchronous run would freeze GUI until completion)
      */
@@ -1846,7 +1711,6 @@ static void start_event_run(const char *
     struct analyze_event_data *evd = xzalloc(sizeof(*evd));
     evd->run_state = state;
     evd->event_name = event_name;
-    evd->more_events = more_events;
     evd->env_list = env_list;
     evd->page_widget = page;
     evd->status_label = status_label;
@@ -2034,81 +1898,6 @@ static void next_page(GtkAssistant *assi
      */
     int page_no = gtk_assistant_get_current_page(assistant);
     VERB2 log("page_no:%d", page_no);
-
-    if (added_pages[page_no]->name == PAGE_ANALYZE_SELECTOR)
-    {
-        VERB2 log("g_analyze_event_selected:'%s'", g_analyze_event_selected);
-        if (g_analyze_event_selected
-         && g_analyze_event_selected[0]
-        ) {
-            start_event_run(g_analyze_event_selected,
-                    NULL,
-                    pages[PAGENO_ANALYZE_PROGRESS].page_widget,
-                    g_tv_analyze_log,
-                    g_lbl_analyze_log,
-                    _("Analyzing..."),
-                    _("Analyzing failed. You can try another analyzer if available."),
-                    _("Analyzing finished. You can proceed to the next step.")
-            );
-        }
-    }
-
-    if (added_pages[page_no]->name == PAGE_REVIEW_DATA)
-    {
-        GList *reporters = NULL;
-        GList *li = g_list_reporters;
-        for (; li; li = li->next)
-        {
-            event_gui_data_t *event_gui_data = li->data;
-            if (gtk_toggle_button_get_active(event_gui_data->toggle_button) == TRUE)
-            {
-                reporters = g_list_append(reporters, event_gui_data->event_name);
-            }
-        }
-        if (reporters)
-        {
-            char *first_event_name = reporters->data;
-            reporters = g_list_remove(reporters, reporters->data);
-            start_event_run(first_event_name,
-                    reporters,
-                    pages[PAGENO_REPORT_PROGRESS].page_widget,
-                    g_tv_report_log,
-                    g_lbl_report_log,
-                    _("Reporting..."),
-                    _("Reporting failed. You can try another reporter if available."),
-                    _("Reporting finished. You can proceed to the next step.")
-            );
-        }
-    }
-
-    /* Run 'collect' events. */
-    if (added_pages[page_no]->name == PAGE_COLLECT_SELECTOR)
-    {
-        GList *collectors = NULL;
-        GList *li = g_list_collectors;
-        for (; li; li = li->next)
-        {
-            event_gui_data_t *event_gui_data = li->data;
-            if (gtk_toggle_button_get_active(event_gui_data->toggle_button) == TRUE)
-            {
-                collectors = g_list_append(collectors, event_gui_data->event_name);
-            }
-        }
-        if (collectors)
-        {
-            char *first_event_name = collectors->data;
-            collectors = g_list_remove(collectors, collectors->data);
-            start_event_run(first_event_name,
-                    collectors,
-                    pages[PAGENO_COLLECT_PROGRESS].page_widget,
-                    g_tv_collect_log,
-                    g_lbl_collect_log,
-                    _("Collecting..."),
-                    _("Collecting failed. You can try another collector if available."),
-                    _("Collecting finished. You can proceed to the next step.")
-            );
-        }
-    }
 }
 
 static void on_show_event_list_cb(GtkWidget *button, gpointer user_data)
@@ -2262,11 +2051,11 @@ static void on_page_prepare(GtkAssistant
     //            pages[PAGENO_REVIEW_DATA].page_widget == page
     //);
 
-    if (pages[PAGENO_ANALYZE_PROGRESS].page_widget == page)
-    {
-        g_active_pb = g_pb_analyze;
-        g_active_lbl = g_lbl_analyze_log;
-    }
+////    if (pages[PAGENO_ANALYZE_PROGRESS].page_widget == page)
+////    {
+////        g_active_pb = g_pb_analyze;
+////        g_active_lbl = g_lbl_analyze_log;
+////    }
 
     if (pages[PAGENO_REPORT_PROGRESS].page_widget == page)
     {
@@ -2314,6 +2103,23 @@ static void on_page_prepare(GtkAssistant
     if (pages[PAGENO_EDIT_COMMENT].page_widget == page)
         on_comment_changed(gtk_text_view_get_buffer(g_tv_comment), NULL);
     //log_ready_state();
+
+    if (pages[PAGENO_REPORT_PROGRESS].page_widget == page)
+    {
+        VERB2 log("g_analyze_event_selected:'%s'", g_analyze_event_selected);
+        if (g_analyze_event_selected
+         && g_analyze_event_selected[0]
+        ) {
+            start_event_run(g_analyze_event_selected,
+                    pages[PAGENO_REPORT_PROGRESS].page_widget,
+                    g_tv_analyze_log,
+                    g_lbl_analyze_log,
+                    _("Analyzing..."),
+                    _("Analyzing failed. You can try another analyzer if available."),
+                    _("Analyzing finished. You can proceed to the next step.")
+            );
+        }
+    }
 }
 
 static gint select_next_page_no(gint current_page_no, gpointer data)
@@ -2342,41 +2148,28 @@ static gint select_next_page_no(gint cur
         break;
 #endif
 
-    case PAGENO_EDIT_BACKTRACE:
-        if (!get_problem_item_content_or_NULL(g_cd, FILENAME_BACKTRACE))
-            goto again; /* no backtrace, skip this page */
-        break;
-
-    case PAGENO_ANALYZE_SELECTOR:
-        if (!g_analyze_events[0] || g_black_event_count == 0)
+    case PAGENO_EDIT_BACKTRACE: /* == ANALYZE_SELECTOR+1 */
+        if (!g_analyze_event_selected)
         {
-            /* skip analyze selector page and analyze log page */
-            current_page_no = PAGENO_COLLECT_SELECTOR-1;
+            /* Go back to selectors */
+            current_page_no = PAGENO_ANALYZE_SELECTOR-1;
             goto again;
         }
-        break;
-
-    case PAGENO_ANALYZE_PROGRESS:
-        VERB2 log("%s: ANALYZE_PROGRESS: g_analyze_event_selected:'%s'",
-                        __func__, g_analyze_event_selected);
-        if (!g_analyze_event_selected || !g_analyze_event_selected[0])
-            goto again; /* skip this page */
-        break;
-
-    case PAGENO_COLLECT_SELECTOR:
-        /* skip collection if there are no applicable events */
-        if (!g_collect_events[0])
+        if (g_analyze_event_selected[0] == 'a')
         {
-            current_page_no = PAGENO_REPORTER_SELECTOR-1;
+            /* It's an analyzer. Skip all review pages */
+            current_page_no = PAGENO_REPORT_PROGRESS-1;
             goto again;
         }
+        if (!get_problem_item_content_or_NULL(g_cd, FILENAME_BACKTRACE))
+            goto again; /* no backtrace, skip this page */
         break;
 
-    case PAGENO_COLLECT_PROGRESS:
-        /* skip progress page if no events were chosen */
-        if (g_collect_events_selected_count == 0)
+    case PAGENO_REPORT_DONE:
+        if (g_last_event_was_analyzer)
         {
-            current_page_no = PAGENO_REPORTER_SELECTOR-1;
+            /* Go back to selectors */
+            current_page_no = PAGENO_ANALYZE_SELECTOR-1;
             goto again;
         }
         break;
@@ -2721,16 +2514,17 @@ static void add_pages()
     /* Set pointers to objects we might need to work with */
     g_lbl_cd_reason        = GTK_LABEL(        gtk_builder_get_object(builder, "lbl_cd_reason"));
     g_box_analyzers        = GTK_BOX(          gtk_builder_get_object(builder, "vb_analyzers"));
-    g_lbl_analyze_log      = GTK_LABEL(        gtk_builder_get_object(builder, "lbl_analyze_log"));
-    g_tv_analyze_log       = GTK_TEXT_VIEW(    gtk_builder_get_object(builder, "tv_analyze_log"));
-    g_pb_analyze           = GTK_PROGRESS_BAR( gtk_builder_get_object(builder, "pb_analyze"));
-    g_btn_cancel_analyze   = GTK_BUTTON(       gtk_builder_get_object(builder, "btn_cancel_analyze"));
-    g_box_collectors       = GTK_BOX(          gtk_builder_get_object(builder, "vb_collectors"));
-    g_lbl_collect_log      = GTK_LABEL(        gtk_builder_get_object(builder, "lbl_collect_log"));
-    g_tv_collect_log       = GTK_TEXT_VIEW(    gtk_builder_get_object(builder, "tv_collect_log"));
-    g_box_reporters        = GTK_BOX(          gtk_builder_get_object(builder, "vb_reporters"));
+//FIXME: rename to _event_
+    g_lbl_analyze_log      = GTK_LABEL(        gtk_builder_get_object(builder, "lbl_report_log"));
+    g_tv_analyze_log       = GTK_TEXT_VIEW(    gtk_builder_get_object(builder, "tv_report_log"));
+    g_pb_analyze           = GTK_PROGRESS_BAR( gtk_builder_get_object(builder, "pb_report"));
+////    g_btn_cancel_analyze   = GTK_BUTTON(       gtk_builder_get_object(builder, "btn_cancel_analyze"));
+////    g_box_collectors       = GTK_BOX(          gtk_builder_get_object(builder, "vb_collectors"));
+////    g_lbl_collect_log      = GTK_LABEL(        gtk_builder_get_object(builder, "lbl_collect_log"));
+////    g_tv_collect_log       = GTK_TEXT_VIEW(    gtk_builder_get_object(builder, "tv_collect_log"));
+////    g_box_reporters        = GTK_BOX(          gtk_builder_get_object(builder, "vb_reporters"));
     g_lbl_report_log       = GTK_LABEL(        gtk_builder_get_object(builder, "lbl_report_log"));
-    g_tv_report_log        = GTK_TEXT_VIEW(    gtk_builder_get_object(builder, "tv_report_log"));
+////    g_tv_report_log        = GTK_TEXT_VIEW(    gtk_builder_get_object(builder, "tv_report_log"));
     g_pb_report            = GTK_PROGRESS_BAR( gtk_builder_get_object(builder, "pb_report"));
     g_btn_cancel_report    = GTK_BUTTON(       gtk_builder_get_object(builder, "btn_cancel_report"));
     g_tv_comment           = GTK_TEXT_VIEW(    gtk_builder_get_object(builder, "tv_comment"));
@@ -2754,7 +2548,7 @@ static void add_pages()
     gtk_widget_hide(g_widget_warnings_area);
 
     gtk_widget_modify_font(GTK_WIDGET(g_tv_analyze_log), monospace_font);
-    gtk_widget_modify_font(GTK_WIDGET(g_tv_report_log), monospace_font);
+////    gtk_widget_modify_font(GTK_WIDGET(g_tv_report_log), monospace_font);
     fix_all_wrapped_labels(GTK_WIDGET(g_assistant));
 
     if (pages[PAGENO_REVIEW_DATA].page_widget != NULL)
@@ -2778,7 +2572,7 @@ static void add_pages()
     if (config_btn)
         g_signal_connect(G_OBJECT(config_btn), "clicked", G_CALLBACK(on_show_event_list_cb), NULL);
 
-    g_signal_connect(g_btn_cancel_analyze, "clicked", G_CALLBACK(on_btn_cancel_event), NULL);
+////    g_signal_connect(g_btn_cancel_analyze, "clicked", G_CALLBACK(on_btn_cancel_event), NULL);
     g_signal_connect(g_btn_cancel_report, "clicked", G_CALLBACK(on_btn_cancel_event), NULL);
 
     g_signal_connect(g_cb_no_comment, "toggled", G_CALLBACK(on_no_comment_toggled), NULL);
diff -x '*.po' -d -urpN libreport.1/src/gui-wizard-gtk/wizard.glade libreport.2/src/gui-wizard-gtk/wizard.glade
--- libreport.1/src/gui-wizard-gtk/wizard.glade	2012-04-03 14:24:56.564491300 +0200
+++ libreport.2/src/gui-wizard-gtk/wizard.glade	2012-04-03 16:01:07.000000000 +0200
@@ -178,26 +178,12 @@
   <object class="GtkWindow" id="window2">
     <property name="can_focus">False</property>
     <child>
-      <object class="GtkVBox" id="page_2">
+      <object class="GtkVBox" id="page_2_report">
         <property name="visible">True</property>
         <property name="can_focus">False</property>
         <property name="border_width">10</property>
         <property name="spacing">3</property>
         <child>
-          <object class="GtkLabel" id="lbl_page5">
-            <property name="visible">True</property>
-            <property name="can_focus">False</property>
-            <property name="xalign">0</property>
-            <property name="label" translatable="yes">Select how you would like to analyze the problem:</property>
-            <property name="wrap">True</property>
-          </object>
-          <packing>
-            <property name="expand">True</property>
-            <property name="fill">True</property>
-            <property name="position">0</property>
-          </packing>
-        </child>
-        <child>
           <object class="GtkVBox" id="vb_analyzers">
             <property name="visible">True</property>
             <property name="can_focus">False</property>
@@ -258,319 +244,9 @@
   </object>
   <object class="GtkWindow" id="window3">
     <property name="can_focus">False</property>
-    <child>
-      <object class="GtkVBox" id="page_3">
-        <property name="visible">True</property>
-        <property name="can_focus">False</property>
-        <property name="border_width">10</property>
-        <property name="spacing">3</property>
-        <child>
-          <object class="GtkLabel" id="lbl_analyze_log">
-            <property name="visible">True</property>
-            <property name="can_focus">False</property>
-            <property name="xalign">0</property>
-            <property name="label" translatable="yes">Analyzing did not start yet</property>
-            <property name="use_markup">True</property>
-            <property name="justify">fill</property>
-            <property name="single_line_mode">True</property>
-            <property name="max_width_chars">64</property>
-          </object>
-          <packing>
-            <property name="expand">False</property>
-            <property name="fill">True</property>
-            <property name="position">0</property>
-          </packing>
-        </child>
-        <child>
-          <object class="GtkProgressBar" id="pb_analyze">
-            <property name="visible">True</property>
-            <property name="can_focus">False</property>
-          </object>
-          <packing>
-            <property name="expand">False</property>
-            <property name="fill">True</property>
-            <property name="position">1</property>
-          </packing>
-        </child>
-        <child>
-          <object class="GtkExpander" id="expand_analyze">
-            <property name="visible">True</property>
-            <property name="can_focus">True</property>
-            <child>
-              <object class="GtkScrolledWindow" id="scrolledwindow1">
-                <property name="visible">True</property>
-                <property name="can_focus">True</property>
-                <property name="shadow_type">out</property>
-                <child>
-                  <object class="GtkTextView" id="tv_analyze_log">
-                    <property name="visible">True</property>
-                    <property name="can_focus">True</property>
-                    <property name="editable">False</property>
-                    <property name="accepts_tab">False</property>
-                  </object>
-                </child>
-              </object>
-            </child>
-            <child type="label">
-              <object class="GtkLabel" id="lbl_analyze_show_log">
-                <property name="visible">True</property>
-                <property name="can_focus">False</property>
-                <property name="label" translatable="yes">Show log</property>
-              </object>
-            </child>
-          </object>
-          <packing>
-            <property name="expand">True</property>
-            <property name="fill">True</property>
-            <property name="position">2</property>
-          </packing>
-        </child>
-        <child>
-          <object class="GtkHBox" id="box2">
-            <property name="visible">True</property>
-            <property name="can_focus">False</property>
-            <child>
-              <object class="GtkButton" id="btn_cancel_analyze">
-                <property name="label">gtk-stop</property>
-                <property name="visible">True</property>
-                <property name="can_focus">True</property>
-                <property name="receives_default">True</property>
-                <property name="use_action_appearance">False</property>
-                <property name="use_stock">True</property>
-              </object>
-              <packing>
-                <property name="expand">False</property>
-                <property name="fill">True</property>
-                <property name="position">0</property>
-              </packing>
-            </child>
-          </object>
-          <packing>
-            <property name="expand">False</property>
-            <property name="fill">False</property>
-            <property name="position">3</property>
-          </packing>
-        </child>
-      </object>
-    </child>
-  </object>
-  <object class="GtkWindow" id="window4">
-    <property name="can_focus">False</property>
-    <child>
-      <object class="GtkVBox" id="page_4">
-        <property name="visible">True</property>
-        <property name="can_focus">False</property>
-        <property name="border_width">10</property>
-        <property name="spacing">3</property>
-        <child>
-          <object class="GtkLabel" id="lbl_page7">
-            <property name="visible">True</property>
-            <property name="can_focus">False</property>
-            <property name="xalign">0</property>
-            <property name="label" translatable="yes">Select additional files to attach to the report:</property>
-            <property name="use_markup">True</property>
-            <property name="justify">fill</property>
-            <property name="wrap">True</property>
-          </object>
-          <packing>
-            <property name="expand">True</property>
-            <property name="fill">True</property>
-            <property name="position">0</property>
-          </packing>
-        </child>
-        <child>
-          <object class="GtkVBox" id="vb_collectors">
-            <property name="visible">True</property>
-            <property name="can_focus">False</property>
-            <child>
-              <placeholder/>
-            </child>
-          </object>
-          <packing>
-            <property name="expand">True</property>
-            <property name="fill">True</property>
-            <property name="position">1</property>
-          </packing>
-        </child>
-        <child>
-          <object class="GtkHBox" id="hbox4">
-            <property name="visible">True</property>
-            <property name="can_focus">False</property>
-            <child>
-              <object class="GtkButton" id="button_cfg3">
-                <property name="label">gtk-preferences</property>
-                <property name="visible">True</property>
-                <property name="can_focus">True</property>
-                <property name="receives_default">True</property>
-                <property name="use_action_appearance">False</property>
-                <property name="use_underline">True</property>
-                <property name="use_stock">True</property>
-                <property name="image_position">right</property>
-              </object>
-              <packing>
-                <property name="expand">False</property>
-                <property name="fill">False</property>
-                <property name="position">0</property>
-              </packing>
-            </child>
-            <child>
-              <object class="GtkAlignment" id="alignment5">
-                <property name="visible">True</property>
-                <property name="can_focus">False</property>
-                <child>
-                  <placeholder/>
-                </child>
-              </object>
-              <packing>
-                <property name="expand">True</property>
-                <property name="fill">True</property>
-                <property name="position">1</property>
-              </packing>
-            </child>
-          </object>
-          <packing>
-            <property name="expand">False</property>
-            <property name="fill">False</property>
-            <property name="position">2</property>
-          </packing>
-        </child>
-      </object>
-    </child>
-  </object>
-  <object class="GtkWindow" id="window5">
-    <property name="can_focus">False</property>
-    <child>
-      <object class="GtkVBox" id="page_5">
-        <property name="visible">True</property>
-        <property name="can_focus">False</property>
-        <property name="border_width">10</property>
-        <property name="spacing">3</property>
-        <child>
-          <object class="GtkLabel" id="lbl_collect_log">
-            <property name="visible">True</property>
-            <property name="can_focus">False</property>
-            <property name="xalign">0</property>
-            <property name="label" translatable="yes">Collecting did not start yet</property>
-            <property name="use_markup">True</property>
-            <property name="wrap">True</property>
-          </object>
-          <packing>
-            <property name="expand">False</property>
-            <property name="fill">True</property>
-            <property name="position">0</property>
-          </packing>
-        </child>
-        <child>
-          <object class="GtkScrolledWindow" id="scrolledwindow7">
-            <property name="visible">True</property>
-            <property name="can_focus">True</property>
-            <property name="shadow_type">out</property>
-            <child>
-              <object class="GtkTextView" id="tv_collect_log">
-                <property name="visible">True</property>
-                <property name="can_focus">True</property>
-                <property name="editable">False</property>
-                <property name="accepts_tab">False</property>
-              </object>
-            </child>
-          </object>
-          <packing>
-            <property name="expand">True</property>
-            <property name="fill">True</property>
-            <property name="position">1</property>
-          </packing>
-        </child>
-      </object>
-    </child>
-  </object>
-  <object class="GtkWindow" id="window6">
-    <property name="can_focus">False</property>
-    <child>
-      <object class="GtkVBox" id="page_6_report">
-        <property name="visible">True</property>
-        <property name="can_focus">False</property>
-        <property name="border_width">10</property>
-        <property name="spacing">3</property>
-        <child>
-          <object class="GtkLabel" id="lbl_page3">
-            <property name="visible">True</property>
-            <property name="can_focus">False</property>
-            <property name="xalign">0</property>
-            <property name="label" translatable="yes">Select how you would like to report the problem:</property>
-            <property name="use_markup">True</property>
-            <property name="justify">fill</property>
-            <property name="wrap">True</property>
-          </object>
-          <packing>
-            <property name="expand">True</property>
-            <property name="fill">True</property>
-            <property name="position">0</property>
-          </packing>
-        </child>
-        <child>
-          <object class="GtkVBox" id="vb_reporters">
-            <property name="visible">True</property>
-            <property name="can_focus">False</property>
-            <child>
-              <placeholder/>
-            </child>
-          </object>
-          <packing>
-            <property name="expand">True</property>
-            <property name="fill">True</property>
-            <property name="position">1</property>
-          </packing>
-        </child>
-        <child>
-          <object class="GtkHBox" id="hbox3">
-            <property name="visible">True</property>
-            <property name="can_focus">False</property>
-            <child>
-              <object class="GtkButton" id="button_cfg2">
-                <property name="label">gtk-preferences</property>
-                <property name="visible">True</property>
-                <property name="can_focus">True</property>
-                <property name="receives_default">True</property>
-                <property name="use_action_appearance">False</property>
-                <property name="use_underline">True</property>
-                <property name="use_stock">True</property>
-                <property name="image_position">right</property>
-              </object>
-              <packing>
-                <property name="expand">False</property>
-                <property name="fill">False</property>
-                <property name="position">0</property>
-              </packing>
-            </child>
-            <child>
-              <object class="GtkAlignment" id="alignment4">
-                <property name="visible">True</property>
-                <property name="can_focus">False</property>
-                <child>
-                  <placeholder/>
-                </child>
-              </object>
-              <packing>
-                <property name="expand">True</property>
-                <property name="fill">True</property>
-                <property name="position">1</property>
-              </packing>
-            </child>
-          </object>
-          <packing>
-            <property name="expand">False</property>
-            <property name="fill">False</property>
-            <property name="position">2</property>
-          </packing>
-        </child>
-      </object>
-    </child>
-  </object>
-  <object class="GtkWindow" id="window7">
-    <property name="can_focus">False</property>
     <property name="tooltip_text" translatable="yes">Use this button to generate more informative backtrace after you installed additional debug packages</property>
     <child>
-      <object class="GtkVBox" id="page_7_report">
+      <object class="GtkVBox" id="page_3">
         <property name="visible">True</property>
         <property name="can_focus">False</property>
         <property name="border_width">10</property>
@@ -806,10 +482,10 @@
       </object>
     </child>
   </object>
-  <object class="GtkWindow" id="window8">
+  <object class="GtkWindow" id="window4">
     <property name="can_focus">False</property>
     <child>
-      <object class="GtkVBox" id="page_8_report">
+      <object class="GtkVBox" id="page_4_report">
         <property name="visible">True</property>
         <property name="can_focus">False</property>
         <property name="border_width">10</property>
@@ -965,10 +641,10 @@
       </object>
     </child>
   </object>
-  <object class="GtkWindow" id="window9">
+  <object class="GtkWindow" id="window5">
     <property name="can_focus">False</property>
     <child>
-      <object class="GtkVBox" id="page_9_report">
+      <object class="GtkVBox" id="page_5_report">
         <property name="visible">True</property>
         <property name="can_focus">False</property>
         <property name="border_width">10</property>
@@ -1066,10 +742,10 @@
       </object>
     </child>
   </object>
-  <object class="GtkWindow" id="windowA">
+  <object class="GtkWindow" id="window6">
     <property name="can_focus">False</property>
     <child>
-      <object class="GtkVBox" id="page_10_report">
+      <object class="GtkVBox" id="page_6_report">
         <property name="visible">True</property>
         <property name="can_focus">False</property>
         <property name="border_width">10</property>
@@ -1110,10 +786,10 @@
       </object>
     </child>
   </object>
-  <object class="GtkWindow" id="windowB">
+  <object class="GtkWindow" id="window7">
     <property name="can_focus">False</property>
     <child>
-      <object class="GtkVBox" id="page_11_report">
+      <object class="GtkVBox" id="page_7_report">
         <property name="visible">True</property>
         <property name="can_focus">False</property>
         <property name="border_width">10</property>
